talon540website/inventory/urls.py
from django.urls import path

from . import views
from inventory.views import BrowseView, LocationDetailView, ItemDetailView, ItemCreate, LocationCreate, ItemDeleteView, LocationDeleteView, ItemUpdateView, LocationUpdateView, AddOrTakeView

app_name = 'inventory'
urlpatterns = [
    path('', BrowseView.as_view(), name='browse'),
    path('item-create', ItemCreate.as_view(), name='item_create'),
    path('location-create', LocationCreate.as_view(), name='location_create'),
    path('I<int:pk>/', ItemDetailView.as_view(), name='item_detail'),
    path('L<int:pk>/', LocationDetailView.as_view(), name='location_detail'),
    path('I<int:pk>/update/', ItemUpdateView.as_view(), name='item_update'),
    path('L<int:pk>/update/', LocationUpdateView.as_view(), name='location_update'),
    path('I<int:pk>/addortake/', AddOrTakeView.as_view(), name='add_or_take'),
    path('I<int:pk>/delete/', ItemDeleteView.as_view(), name='item_delete'),
    path('L<int:pk>/delete/', LocationDeleteView.as_view(), name='location_delete'),
    #path('upload/', views.upload, name='upload'),
    #path('<str:barcode>/submit/', views.addOrTake, name='addOrTake'),
    #path('<str:barcode>/edit/', views.edit, name='edit'),
    #path('<str:barcode>/edit/submit/', views.editSubmit, name='editSubmit'),
]

talon540website/login/urls.py
from django.urls import path

from django.contrib.auth import views as auth_views
from . import views

app_name = 'login'
urlpatterns = [
    path('profile/', views.profile, name='account'),
    path('login/', auth_views.LoginView.as_view(template_name='login/sign-in.html'), name='login'),
    path('logout/', auth_views.LogoutView.as_view(), name='logout'),
]

talon540website/main/urls.py
from django.urls import path

from . import views

app_name = 'main'
urlpatterns = [
    path('', views.home, name='home'), 
]

talon540website/scouting/urls.py
from django.urls import path

from . import views

app_name = 'scouting'
urlpatterns = [
    path('', views.index, name='index'),
    path('team/', views.teams, name='teams'),
    path('deepspace/comp/<int:cpk>/', views.indexComp, name='indexComp'),
    path('deepspace/team/<int:pk>/', views.indexTeamAll, name='indexTeamAll'),
    path('deepspace/comp/<int:cpk>/team/<int:tpk>', views.indexTeam, name='indexTeamComp'),
    path('deepspace/comp/<int:cpk>/<int:mpk>/', views.matchdetailed, name='detailed'),
    path('deepspace/newmatch/', views.MatchCreate.as_view(), name='newmatchform'),
    path('deepspace/<int:pk>/update/', views.MatchUpdate.as_view(), name='updateform'),
    path('deepspace/<int:pk>/delete/', views.MatchDelete.as_view(), name='deleteform'),
    path('deepspace/comp/<int:cpk>/matches/<int:mnum>', views.indexSingleMatch, name='indexSingleMatch'),
    path('deepspace/comp/<int:cpk>/matches', views.indexMatch, name='indexMatch'),
    path('infiniterecharge/team/<int:pk>/', views.indexTeamAllInfiniteRecharge, name='indexTeamAllIR'),
    path('infiniterecharge/comp/<int:cpk>/team/<int:tpk>', views.indexteamInfiniteRecharge, name='indexTeamIR'), 
    path('infiniterecharge/comp/<int:cpk>/matches/<int:mnum>', views.indexSingleMatchInfiniteRecharge, name='indexSingleMatchIR'),
    path('infiniterecharge/comp/<int:cpk>/', views.indexCompInfiniteRecharge, name='indexCompIR'),
    path('infiniterecharge/comp/<int:cpk>/matches', views.indexMatchInfiniteRecharge, name='indexMatchIR'),    
    path('infiniterecharge/newmatch/', views.MatchCreateIR.as_view(), name='newmatchformIR'),
    path('infiniterecharge/<int:pk>/update/', views.MatchUpdateIR.as_view(), name='updateformIR'),
    path('infiniterecharge/<int:pk>/delete/', views.MatchDeleteIR.as_view(), name='deleteformIR'), 
    path('infiniterecharge/comp/<int:cpk>/<int:mpk>/', views.matchdetailedIR, name='detailedIR'), 
]

talon540website/talon540/urls.py
from django.contrib import admin
from django.urls import include, path
from django.contrib.auth import views as auth_views
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('', include('main.urls')),
    path('inventory/', include('inventory.urls')),
    path('accounts/', include('login.urls')),
    path('scouting/', include('scouting.urls')),
    path('admin/', admin.site.urls),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

talon540website/main/models.py
from django.db import models

# Create your models here.

talon540website/main/views.py
from django.shortcuts import render

def home(request):
    return render(request, 'main/home.html')

talon540website/main/templates/main/base.html
{% load static %}

<html>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
        
        <!-- Tab Info -->
        <title>Talon 540</title>
        <link rel="icon" href="{% static 'main/images/simple_logo_old.png' %}">
        
        <!-- Stylesheets -->
        <link rel="stylesheet" href="{% static 'main/css/reset.css' %}">
        <link rel="stylesheet" href="{% static 'main/css/base.css' %}">
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.1/css/all.css" integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr" crossorigin="anonymous">
        {% block stylesheets %} {% endblock %}
        
        <!-- Fonts -->
        <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700|Fira+Sans:500,700,900" rel="stylesheet">
        
        <!-- JS Scripts -->
        <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
        <script type="text/javascript" src="{% static 'main/js/global-functions.js' %}"></script>
        {% block js %} {% endblock %}
        
    </head>
    <body class="preload">
        <div class="main-container">
            <div id="header" class="header">
                <div class="title-group">
                    <div class="logo">
                        <div class="logo-image"></div><h1 class="logo-text mark-delete">TALON<span class="span-red-text">540</span></h1>
                        <h1 class="post-resize-text logo-text span-red-text">540</h1>
                    </div>
                    <ul class="nav-menu" id="ham-menu">
                        <li><a class="button" id="menu-button">
                            <h1 class="nav-title"><i class="fas fa-bars"></i> <span class="mark-delete">Menu</span></h1>
                        </a></li>
                    </ul>
                </div>
                <div class="menu-group">
                    <div class="nav-menu-wrapper mark-hide">
                        <ul class="nav-menu mark-hide" id="main-menu">
                            <li><a href="{% url 'main:home' %}" target="_self" {% block nav_home %}{% endblock %}>
                                <div class="nav-button-slide"></div>
                                <h1 class="nav-title"><i class="fas fa-home"></i> Home</h1>
                            </a></li>
                            <li><a href="{% url 'scouting:index' %}" target="_self" {% block nav_scouting %}{% endblock %}>
                                <div class="nav-button-slide"></div>
                                <h1 class="nav-title"><i class="fas fa-database"></i> Scouting </h1>
                            </a></li>
                            <li><a href="{% url 'inventory:browse' %}" target="_self" {% block nav_contact %}{% endblock %}>
                                <div class="nav-button-slide"></div>
                                <h1 class="nav-title"><i class="fas fa-box-open"></i> Inventory</h1>
                            </a></li>
                            <li><a href="{% url 'login:login' %}" target="_self" {% block nav_sign-in %}{% endblock %}>
                                <div class="nav-button-slide"></div>
                                <h1 class="nav-title"><i class="fas fa-users"></i> Sign in</h1>
                            </a></li>
                        </ul>
                    </div>
                </div>
                <div class="bottom-group">
                    <a href="" target="_self">
                        <h1 class="nav-title"><i class="far fa-calendar-alt"></i></h1>
                    </a>
                    <a href="" target="_self">
                        <h1 class="nav-title"><i class="fas fa-bell"></i></h1>
                    </a>
                    <a href="" target="_self">
                        <h1 class="nav-title"><i class="fas fa-pen-alt"></i></h1>
                    </a>
                    <a href="" target="_self">
                        <h1 class="nav-title"><i class="fas fa-comment-alt"></i></h1>
                    </a>
                </div>
            </div>
            
            <div id="content">
                {% block content %}
                {% endblock %}
            </div>
            
            <div id="footer">
                <div class="right-triangle-decoration backred footerred"></div>
                <div class="right-triangle-decoration wss footerblack backunderside"></div>
                <div class="actual-footer"></div>
            </div>
        </div>
        
    </body>
</html>

talon540website/main/templates/main/home.html
{% extends 'main/base.html' %}
{% load static %}

{% block stylesheets %}
<link rel="stylesheet" href="{% static 'main/css/home.css' %}">
{% endblock %}

{% block js %}
<script type="text/javascript" src="{% static 'main/js/home-functions.js' %}"></script>
{% endblock %}

{% block nav_home %} class="button-selected" {% endblock %}
{% block nav_scouting %} class="button" {% endblock %}
{% block nav_contact %} class="button" {% endblock %}
{% block nav_sign-in %} class="button" {% endblock %}

{% block content %}
    <div class="body-content">
        <!-- Greeting Section -->
        <div class="greeting">
            <div class="greeting-subject">
                <div class="greeting-content">
                    <div class="greeting-text-group">
                        <h1>WE ARE </h1><h1 id="switch-candidate" class="span-red-text">TALON 540</h1>
                        <a href="" class="button home-button">See what we do</a>
                    </div>
                </div>
            </div>
        </div>
        <!-- Scouting Data Section -->
        <div class="right-triangle-decoration backred"></div>
        <div class="right-triangle-red-after"></div>
        <div class="right-triangle-decoration wss"></div>
        <div class="body-section">
            <div class="content-box">
                <div class="title-box">
                    <h1>Scouting made easier.</h1>
                </div>
                <p>Pen and paper have dragged down scouting long enough. Scouting shouldn't be a monotonous task, nor should analysing the data be grudging. We have come up with a solution: using our team's digital scouting platform, we can scout data quickly, effeciently, and effectively. Plus, all of our analytics are public, for anyone to use.</p>
                <a href="{% url 'scouting:index' %}" class="button home-button">See Scouting Analytics</a>
            </div>
            <img class="image-box" src="{% static 'main/images/background_s1_2.png' %}" alt="Image Placeholder">
        </div>
        <!-- About Us Section -->
        <div class="inverse-right-triangle-decoration wss"></div>
        <div class="image-body-section">
            <div class="content-box">
                <div class="title-box">
                    <h1>Part of the Family?</h1>
                </div>
                <div class="sign-in-pic">
                    <img src="{% static 'main/images/sign in_nb.png' %}" alt="sign-in picture">
                    <a href="" class="button home-button sign-in-button">Sign In to Team Account</a>
                </div>
            </div>
        </div>
    </div>
{% endblock %}